#! /bin/csh -fe
#
#   Wedger Elves example background autoindexing script
#
/home/jamesh/Develop/ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY logs/autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#
GENFILE auto.gen
#

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG TYPE ADSC
OVERLOAD CUTOFF 60000
GAIN            0.3
LIMITS RMAX 148 YMAX 209.715 XMAX 209.715 xscan 209.715 yscan 209.715

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.979725
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      250
BEAM          108.66 102.246
TWOTHETA      0
#
NEWMATRIX  auto.mat

# Crystal parameters
#CELL     KEEP 100 100 100 90 90 90

RESOLUTION 2
MOSAIC     1

# frame filename breakdown
DIRECTORY    /data2/jamesh/workshop/final
IDENTIFIER   decay_1
EXTENSION    img

#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#
MOSAIC estimate

AUTOINDEX DPS IMAGE 1 46 91 100 
#
go
#
eof-ipmosflm

