#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# option to integrate after refining
set integ = "END"
if("$1" =~ integ*) set integ = ""
#
# temporary file prefix
set tempfile = ${CCP4_SCR}/mosflm_temp$$
set outfile  = raw.mtz
#
#
/home/jamesh/Develop/ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY logs/mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from decay_1_###.img 1 to 100 at lambda= 0.979725
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG TYPE ADSC
OVERLOAD CUTOFF 60000
GAIN            0.3
LIMITS RMAX 148 YMAX 209.715 XMAX 209.715 xscan 209.715 yscan 209.715

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.979725
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      250
BEAM          108.66 102.246
TWOTHETA      0
MATRIX        auto.mat
#MISSETS       0.000 0.000 0.000 RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          78.3006 78.3006 243.201 90 90 120
SYMMETRY      P6122
RESOLUTION    2
MOSAIC        0.38

# Frame filename breakdown
DIRECTORY     /data2/jamesh/workshop/final
IDENTIFIER    decay_1
EXTENSION     img

#
# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE decay_1_001.img PHI -5 TO -4
#GO
#END
#PLOT
#
REFI RESID 100
REFINE  FIX YSCALE
# Processing commands: 
POSTREF SEGMENTS 7
PROCESS 1 TO 4 START -5 ANGLE 1  ADD 0
go
PROCESS 16 TO 19 START 10 ANGLE 1  ADD 0
go
PROCESS 31 TO 34 START 25 ANGLE 1  ADD 0
go
PROCESS 46 TO 49 START 40 ANGLE 1  ADD 0
go
PROCESS 61 TO 64 START 55 ANGLE 1  ADD 0
go
PROCESS 76 TO 79 START 70 ANGLE 1  ADD 0
go
PROCESS 97 TO 100 START 91 ANGLE 1  ADD 0
go

# to perform full integration, either put the word "integ" on the command line,
# or remove the text on the next line:
$integ
PROCESS 1 to 100 START -5 ANGLE 1 ADD 0
GO
END

eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)&&("$integ" == "")) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
