#! /bin/csh -f
#
#       get best signal of (one or more) shelx hkl files
#       and copy it to best.hkl
#
#
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk
#
set tempfile = /tmp/jamesh/scaler_temp4257.sig.
#
echo -n "" >! ${tempfile}signal

# run through all input files
set i = 0
while($i < $#argv)
    @ i = ( $i + 1 )

    echo -n "$argv[$i] " >> ${tempfile}signal
    
    # get mean I/sigma of this shelx file
    cat $argv[$i] |\
    nawk '$5+0 != 0 {++n; sum+=$4/$5} END{print sum/n}' |\
    cat >> ${tempfile}signal
end

# get best, overall signal file
set best = `sort -nr +1 ${tempfile}signal | nawk 'NR==1{print $1}'`
# copy it to new location
cp $best best.hkl

rm -f ${tempfile}signal >& /dev/null

exit

