#! /bin/csh -f
#
#  Conversion script to output F+ and F- in XPLOR format for one wavelength
#
#
set nawk = /bin/awk
$nawk 'BEGIN{print}' >& /dev/null
if($status) set nawk = awk
alias nawk $nawk
#
set outfile = XPLOR.fobs
set tempfile = /tmp/jamesh/scaler_temp4257.mtz2xplor
#
#
foreach arg ( $* )
    if((! $?infile)&&(-e $arg)) then
    if($arg =~ *.mtz) set infile = $arg
    endif
end
if(! $?infile) exit 9
################################
#
#   usage: ./XPLOR/mtz2XPLOR.com blah.mtz
#	only works on merged MTZs
#
################################
# this is the mtz2various format to use, you need 
mtz2various hklin $infile hklout ${tempfile}fobs << EOF
OUTPUT XPLOR
LABIN FP=F SIGFP=SIGF DP=DANO SIGDP=SIGDANO ISYM=ISYM
END
EOF
if($status) exit 9

set NREF = `wc ${tempfile}fobs | nawk '{print $1 +1}'`

echo " NREFlections= $NREF"                                         >! $outfile
echo " ANOMalous=TRUE"                                              >> $outfile
echo " DECLare NAME=FOBS    DOMAin=RECIprocal   TYPE=COMP END"      >> $outfile
echo " DECLare NAME=SIGMA   DOMAin=RECIprocal   TYPE=REAL END"      >> $outfile
cat ${tempfile}fobs                                                 >> $outfile

rm -f ${tempfile}fobs >& /dev/null
rm -f MTZ2VSCR >& /dev/null

