#! /bin/csh -fe
#
#   Wedger Elves example STRATEGY session
#
/home/jamesh/Develop/ipmosflm HKLOUT strategy.mtz	    \
         SPOTOD  strategy.spotod   \
         SUMMARY logs/strategy.xlog    \
         COORDS  strategy.coords << eof-ipmosflm
#
GENFILE strategy.gen
#
# the following keywords were not understood by the Wedger elves, but passed on
# because they resemble mosflm commands.
# ----
SEPARATION 0.5 0.5 CLOSE
BACKSTOP RADIUS 2

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER omega 90 ROTATION horiz ANTI FAST horiz ORIGIN UR RECTANG TYPE ADSC
OVERLOAD CUTOFF 60000
GAIN            0.3
LIMITS RMAX 148 YMAX 209.715 XMAX 209.715 xscan 209.715 yscan 209.715

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    0.979725
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      250
BEAM          108.66 102.246
TWOTHETA      0
MATRIX        auto.mat
#

# Crystal parameters
CELL          78.3006 78.3006 243.201 90 90 120
SYMMETRY      P6122
RESOLUTION    2
MOSAIC        0.39

# Frame filename breakdown
DIRECTORY     /data2/jamesh/workshop/final
IDENTIFIER    decay_1
EXTENSION     img

#
#
# un-comment the following lines to run strategy interactively
#IMAGE decay_1_001.img
#GO
#
# current strategy
#strategy start -5 end 95 speedup 1
strategy start -5 end 95
go
start -5 end 95
go
stats
end

# calculate best oscillation widths
SEPARATION 1 1
testgen start -5 end 95 minosc 1 overlap 3
go

# best "next" strategy (given that "current" data are already collected)
strategy start -5 end 95 PARTS 2 
run
strategy auto
go
stats
end

# best, overall strategy
strategy auto
go
stats
end

# best, overall strategy for anomalous
strategy auto anomalous
go
stats
end

# calculate best oscillation widths
SEPARATION 1 1
testgen start 0 end 180 minosc 0.01 overlap 3
go

eof-ipmosflm
